Name:       fbterm
Version:    1.1
Release:    3%{?dist}
License:    GPLv2+
Group:      Applications/System
URL:        http://code.google.com/p/fbterm/
Source0:    http://fbterm.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:     %{name}-1.1-kernel-header.patch   
Summary:    FbTerm is a fast terminal emulator for linux with frame buffer device
Summary(zh_CN): FbTerm 是个快速的终端仿真器，它直接运行在 Linux 中的帧缓冲(framebuffer)之上。
Summary(zh_TW): FbTerm 是個快速的終端模擬器，它直接运行在 Linux 中的 framebuffer)之上。


BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: fontconfig-devel gpm-devel
Requires: fontconfig

%description
FbTerm is a fast terminal emulator for linux with frame buffer device. 
Features include: 
- mostly as fast as terminal of linux kernel while accelerated scrolling
  is enabled on framebuffer device 
- select font with fontconfig and draw text with freetype2, same as 
  Qt/Gtk+ based GUI apps 
- dynamicly create/destroy up to 10 windows initially running default
  shell 
- record scrollback history for every window 
- auto-detect text encoding with current locale, support double width 
  scripts like  Chinese, Japanese etc 
- switch between configurable additional text encodings with hot keys
  on the fly 
- copy/past selected text between windows with mouse when gpm server 
  is running

%prep
%setup -q
%patch0 -p0 -b .kernel-header

%build
%configure --disable-static --disable-rpath
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install
chmod 755 $RPM_BUILD_ROOT/%{_bindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz


%changelog
* Fri Oct 16 2008 Ding-Yi Chen <dchen at redhat dot com> - 1.1-3
- Add gpm support.

* Thu Oct 16 2008 Ding-Yi Chen <dchen at redhat dot com> - 1.1-2
- Fix the kernel-header build problem in F-10.

* Thu Aug 07 2008 Ding-Yi Chen <dchen at redhat dot com> - 1.1-1
- Unset the SUID flag, as it does not need it.

* Thu Aug 07 2008 Ding-Yi Chen <dchen at redhat dot com> - 1.1-0
- The first version.
